Autore Topic: Android SDK 2.3  (Letto 861 volte)

Offline Drone

  • Nuovo arrivato
  • *
  • Post: 3
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy S
  • Play Store ID:
    Atomic Games
  • Sistema operativo:
    Windows
Android SDK 2.3
« il: 28 Dicembre 2010, 01:24:45 CET »
0
Salve a tutti, sono nuovo e spero d'essere il benvenuto.
Ecco il mio problema: mettendo il target dell'applicazione ad Android 2.3 (dopo aver selezionato android.jar della sdk 9, ed aver modificato il manifest con minsdk 9), avendo un dispositivo con Android 2.2, Eclipse non mi permette di avviare l'applicazione sul terminale.

Sbaglio qualcosa? In qualche modo posso far sì che la mia applicazione che si regge sulla sdk 2.3, si avvii su 2.2? Forse è proprio colpa del fatto che ho messo minsdk a 9?

Grazie.

Offline Nicola_D

  • Utente storico
  • *****
  • Post: 2479
  • SBAGLIATO!
  • Respect: +323
    • Github
    • Google+
    • nicoladorigatti
    • Mostra profilo
  • Dispositivo Android:
    Nexus 6p, Nexus 4, Nexus S, Nexus 7(2012)
  • Sistema operativo:
    Windows 7
Re:Android SDK 2.3
« Risposta #1 il: 28 Dicembre 2010, 01:32:42 CET »
0
Salve a tutti, sono nuovo e spero d'essere il benvenuto.
Ecco il mio problema: mettendo il target dell'applicazione ad Android 2.3 (dopo aver selezionato android.jar della sdk 9, ed aver modificato il manifest con minsdk 9), avendo un dispositivo con Android 2.2, Eclipse non mi permette di avviare l'applicazione sul terminale.

Sbaglio qualcosa? In qualche modo posso far sì che la mia applicazione che si regge sulla sdk 2.3, si avvii su 2.2? Forse è proprio colpa del fatto che ho messo minsdk a 9?

Grazie.
esatto
IMPORTANTE:NON RISPONDO A PROBLEMI VIA MESSAGGIO PRIVATO
LOGCAT: Non sai cos'è? -> Android Debug Bridge | Android Developers
               Dov'è in Eclipse? -> Window -> Open Prospective -> DDMS e guarda in basso!
[Obbligatorio] Logcat, questo sconosciuto! (Gruppo AndDev.it LOGTFO) - Android Developers Italia

Offline Ricky`

  • Amministratore
  • Utente storico
  • *****
  • Post: 3489
  • Respect: +506
    • Github
    • Google+
    • rciovati
    • Mostra profilo
Re: Android SDK 2.3
« Risposta #2 il: 28 Dicembre 2010, 01:34:21 CET »
0
Benvenuto :)
Non facevi prima a fare delle prove tu stesso sulla base della tua (corretta) intuizione? ;)

Sent from my HTC Desire using Tapatalk

Offline Drone

  • Nuovo arrivato
  • *
  • Post: 3
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy S
  • Play Store ID:
    Atomic Games
  • Sistema operativo:
    Windows
Re:Android SDK 2.3
« Risposta #3 il: 28 Dicembre 2010, 01:42:50 CET »
0
Innanzitutto grazie del benvenuto, sono un pò fatto così io, arrivo spesso da solo alla soluzione però ho quasi bisogno di un appoggio morale :-P, ma mi dovete perdonare. Anche perchè mi sono accorto solo dopo che di quel che ho chiesto se ne parlava in un topic sticky proprio in questa sezione. In ogni caso ne approfitto per ringraziarvi e mandarvi gli auguri di un felice anno nuovo.

Offline ALEX88-ANDR0!D

  • Utente normale
  • ***
  • Post: 173
  • The Special One
  • Respect: +13
    • Google+
    • droidev88
    • Mostra profilo
  • Dispositivo Android:
    HTC DESIRE HD
  • Sistema operativo:
    WINDOWS 7
Re:Android SDK 2.3
« Risposta #4 il: 28 Dicembre 2010, 02:07:51 CET »
+1
benvenuto Drone ... ti sei risposto dasolo :-) , come valore min è da inserire il valore della versione android minima richiesta  (android 2.2 per esempio utilizza il valore 8  inserendo il valore 9 hai specificato che l'app non deve funzionare su le versioni minori a 9 (coè quasi tutti i smartphone (per ora)

quindi inserisci il valore 8 al posto del 9 ,
nel campo sotto inserisci il valore 9 (Valore target) in pratica dici per quale dispositivo è stato pensato (tutti gli smart con android 2.3)

dando ,l'ok cmq rimane l'errore (  attribute minsdkversion (8) is lower...) per eliminarlo in package explorer clicca sulla cartella del progetto (tasto destro del mouse)  , poi dalla tendina sciegli properties quindi in java build patch seleziona spuntando "android2.3 e clicca sul pulsante OK ... dopodiche i messaggi di errore cancellali pure manualmente ... in pratica vai dove c'e la scritta attribute min... click destro ..delete ... yes a volte può capitare di doverlo fare due volte , se provi ad aggiornare il progetto , l'avviso non dovrebbe più apparire , quando crei l'android test proget , apparirà dinuovo tutto , esegui gli stessi passaggi e poi provi l'app (ho provato poco fa con l'emulatore e funziona tutto )

 :-) buon natale e felice anno nuovo
È stata trovata una soluzione al tuo problema?
Evidenzia il post più utile premendo . È un ottimo modo per ringraziare chi ti ha aiutato ;).
E se hai aperto tu il thread marcalo come risolto cliccando !

Offline Drone

  • Nuovo arrivato
  • *
  • Post: 3
  • Respect: 0
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy S
  • Play Store ID:
    Atomic Games
  • Sistema operativo:
    Windows
Re:Android SDK 2.3
« Risposta #5 il: 28 Dicembre 2010, 02:36:26 CET »
0
Grazie mille, stavo per chiedere proprio questo. Finalmente ho eliminato i fastidiosi warning.

Felice anno nuovo! 8-)

Offline 7h38ugg3r

  • Moderatore globale
  • Utente storico
  • *****
  • Post: 1200
  • Respect: +133
    • riccardofischetti
    • th38ugg3r
    • @7h38ugg3r
    • Mostra profilo
  • Dispositivo Android:
    Galaxy-S GT I-9000/ ASUS Eee Pad Transformer
  • Play Store ID:
    Riccardo Fischetti
  • Sistema operativo:
    OS X Lion / Linux Mint 11 (Katya)
Re:Android SDK 2.3
« Risposta #6 il: 28 Dicembre 2010, 10:44:39 CET »
0
benvenuto.

Auguri a tutti.
7h38ugg3r<=>thebugger
Non conosci Java? Allora sei nel posto sbagliato!

http://www.androidpatterns.com/